mat-sidenav-container {
  height: calc(100% - 56px);

  @media screen and (min-width: 599px) {
    height: calc(100% - 64px);
  }

  &::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 400px;
    background: var(--primary-light);
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
  }
}

main {
  box-sizing: border-box;
  min-height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 32px;
  box-sizing: border-box;
  position: relative;
}

mat-sidenav {
  width: 250px;
}

.dump-wrapper {
  position: relative;
}

.dump-spinner {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: -1;
}

.maintenance-badge {
  background-color: #000;
  margin-right: 16px;
  padding: 8px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;

  mat-icon {
    font-size: 16px;
    height: 16px;
    width: 16px;
  }

  p {
    margin: 0;
    padding: 0;
    display: none;
    color: #fff;
  }

  @media screen and (min-width: 415px) {
    border-radius: 8px;
    padding: 8px 16px;

    mat-icon {
      font-size: 32px;
      height: 32px;
      width: 32px;
      margin-right: 8px;
    }

    p {
      display: block;
    }
  }
}
